.form-group label.error {
    color: #ff0000 !important;
}

label.c-error {
    color: #ff0000 !important;
    margin-top: 5px;
}

/* css สำหรับ div คลุม google map อีกที */
.map_contain_map {
    position: relative;
    height: 158px;
    margin: auto;
}

/* css กำหนดความกว้าง ความสูงของแผนที่ */
.map_map_canvas {
    height: 150px;
    margin: auto;
    /*  margin-top:100px;*/
}

/*css กำหนดรูปแบบ ของ input สำหรับพิมพ์ค้นหา effect */
.controls_tools {
    border: 1px solid transparent;
    border-radius: 2px 0 0 2px;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    height: 32px;
    outline: none;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
}

/*css กำหนดรูปแบบ ของ input สำหรับพิมพ์ค้นหา*/
.map_pac_input {
    background-color: #fff;
    padding: 0 11px 0 13px;
    font-family: Roboto;
    font-size: 15px;
    font-weight: 300;
    text-overflow: ellipsis;
    margin-bottom: 3px;
}

/*css กำหนดรูปแบบ ของ input สำหรับพิมพ์ค้นหา ขณะ focus*/
.map_pac_input:focus {
    border-color: #4d90fe;
    margin-left: -1px;
    padding-left: 14px;
    /* Regular padding-left + 1. */
}

.c-list-style-inside {
    list-style: inherit;
    margin-left: 30px;
}

.c-added-num {
    max-width: 80px !important;
    margin-top: -3px !important;
}

.c-divider {
    border-bottom: 1px #ddd solid !important;
}

.custom-control-label::before {
    left: -25px !important;
}

.custom-control-label::after {
    left: -25px !important;
}

.custom-control:hover {
    cursor: pointer !important;
    color: #4d90fe;
}

.c-border-none {
    border: none !important;
}

.c-list-style-none {
    list-style: none !important;
}




.drop-down {
    position: relative;
    z-index: 999;
}

.drop-down .selected a {
    background: #fff no-repeat scroll right center;
    display: block;
    border: 1px solid #d7d7d7;
    width: 100%;
    border-radius: 1.5rem;
    text-decoration: none;
    color: #495057;
}

.drop-down .selected img {
    margin-right: 15px;
    width: 90px;
    border-radius: 1rem;
    height: 90px;
}

.drop-down .selected a span {
    cursor: pointer;
    display: inline-flex;
    padding: 15px;
    width: 100%;
}

.drop-down .option {
    position: relative;
}

.drop-down .options ul {
    background: #fff none repeat scroll 0 0;
    display: none;
    list-style: none;
    padding: 0px 0px;
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    min-width: 170px;
    border: 1px solid #d7d7d7;
}

.drop-down .selected span.value,
.drop-down .selected span.value-text,
.drop-down .selected span.value-text-main,
.drop-down .options span.value,
.drop-down .options span.value-text,
.drop-down .options span.value-text-main {
    display: none;
}

.drop-down .selected label.text,
.drop-down .options label.text {
    margin: auto 0;
}

.drop-down .options ul li a {
    padding: 15px;
    display: inline-flex;
    text-decoration: none;
    color: #000;
    width: 100%;
    border-bottom: 1px #eaeaea solid;
}

.drop-down .options ul li img {
    margin-right: 15px;
    width: 90px;
    border-radius: 1rem;
}

.drop-down .options ul li a:hover {
    transition: 0.2s ease;
}

.c-dropdown-divider {
    padding: 10px 10px 10px 15px;
    background-color: #eaeaea;
    color: #000;
    font-weight: 700;
}